
//
// To jest oprzykładowy kod z podrozdziału 27.6.3 „Pliki” książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include "std_lib_facilities.h"

//------------------------------------------------------------------------------

void f(const char* fn)
{
    FILE* fi = fopen(fn, "r");    /* Otwiera fn do odczytu. */
    FILE* fo = fopen(fn, "w");    /* Otwiera fn2 do zapisu. */

    if (fi == 0) error("Nie udało się otworzyć pliku wejściowego.");
    if (fo == 0) error("Nie udało się otworzyć pliku wyjściowego.");

    /* Wczytuje dane z pliku przy użyciu funkcji wejściowych biblioteki stdio, np. getc(). */
    /* Zapisuje dane w pliku przy użyciu funkcji wyjściowych biblioteki stdio, np. fprintf(). */

    fclose(fo); 
    fclose(fi);

}

//------------------------------------------------------------------------------

int main()
try
{
    f("My_file");
}
catch (exception& e) {
    cerr << "Błąd: " << e.what() << '\n'; 
    return 1;
}
catch (...) {
    cerr << "Nieznany wyjątek!\n"; 
    return 2;
}

//------------------------------------------------------------------------------
